/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-29
 * 描述            ：分条机排刀-隔套子表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevSlapDSpcMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_SLAP_D_SPC", namespace=DevSlapDSpcMapper.class)
public class DevSlapDSpc extends BaseVO implements Serializable {
	/** 
	 * 排刀记录号（'A'+YYMMDD+NNN）
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 隔套规格（mm）
	 */ 
	@Id
	private Double spacer_wdt;
	public Double getSpacer_wdt() {
		return this.spacer_wdt;
	}
	public void setSpacer_wdt(Double spacer_wdt) {
		this.spacer_wdt = spacer_wdt;
	}

	/** 
	 * 库存数量
	 */ 
	@Column
	private Long spacer_qoh;
	public Long getSpacer_qoh() {
		return this.spacer_qoh;
	}
	public void setSpacer_qoh(Long spacer_qoh) {
		this.spacer_qoh = spacer_qoh;
	}

	/** 
	 * 使用数量上
	 */ 
	@Column
	private Long spacer_num_t;
	public Long getSpacer_num_t() {
		return this.spacer_num_t;
	}
	public void setSpacer_num_t(Long spacer_num_t) {
		this.spacer_num_t = spacer_num_t;
	}

	/** 
	 * 使用数量下
	 */ 
	@Column
	private Long spacer_num_b;
	public Long getSpacer_num_b() {
		return this.spacer_num_b;
	}
	public void setSpacer_num_b(Long spacer_num_b) {
		this.spacer_num_b = spacer_num_b;
	}

	/** 
	 * 使用数量总
	 */ 
	@Column
	private Long spacer_num;
	public Long getSpacer_num() {
		return this.spacer_num;
	}
	public void setSpacer_num(Long spacer_num) {
		this.spacer_num = spacer_num;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

}
